OpenVDB 12.1.0

Loading...
Searching...
No Matches
OpMagnitude< OpType, MapT > Struct Template Reference

Adapter for vector-valued world-space operators to return the vector magnitude. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename AccessorType>
static double | result (const MapT &map, const AccessorType &grid, const Coord &ijk)
template<typename StencilType>
static double | result (const MapT &map, const StencilType &stencil)

## Detailed Description

template<typename OpType, typename MapT>
struct openvdb::v12_1::math::OpMagnitude< OpType, MapT >

Adapter for vector-valued world-space operators to return the vector magnitude.

## Member Function Documentation

## ◆ result() [1/2]

template<typename OpType, typename MapT>
template<typename AccessorType>

double result | ( | const MapT & | map,
|  | const AccessorType & | grid,
|  | const Coord & | ijk )
| inline static

## ◆ result() [2/2]

template<typename OpType, typename MapT>
template<typename StencilType>

double result | ( | const MapT & | map,
|  | const StencilType & | stencil )
| inline static